<script>
//===================================================================*/
/* イベント
//===================================================================*/
//　F2 表示
$(document).on("click", ".popaf233x1Func2:not('.noevent')", function (e) {
  $('#popaf233x1Search').trigger('click');
});
//　F5 クリア
$(document).on("click", ".popaf233x1Func5:not('.noevent')", function (e) {
  af233x1.initial();
});
//　F9 決定
$(document).on("click", ".popaf233x1Func9:not('.noevent')", function (e) {
  $("#popaf233x1Select").trigger("click");
});
//　F12 メニュー/戻る
$(document).on("click", ".popaf233x1Func12:not('.noevent')", function (e) {
  $('#popaf233x1Close').trigger('popClose');
});

$(document).on("focus", "#af233x1Dummy", function(e) {
  $(".popaf233x1Func2").focus();
});

$(document).on("click", ".cmdAf233x1", function (e) {
  dspPopupAfm233x1($(this));
});

$(document).on("keyup", ".popAf233x1", function (e) {
  if (e.keyCode == 40) {
    dspPopupAfm233x1($(this));
  }
});

function dspPopupAfm233x1($me) {
    var grp = $me.closest(".af233x1popup");
    var frmh = grp.closest("#headerTop");

    popup.openPopup("af233x1", $(grp));

    af233x1.initial();

    var w_pmode2 = $(grp).find(".vseq").data("mode2");   //0:入荷＆仕入入力, 1:仕入入力, 2:仕入値引入力
    if(!stringUtil.isValid(w_pmode2)) {
      w_pmode2 = "0";
    }
    $("#af233x1Pmode2").val(w_pmode2);
    $("#af233x1Mcd").val($(grp).find(".mcd").val());
    $("#af233x1Mnm").val($(grp).find(".mnm").val());
    $("#af233x1Vseq").val($(grp).find(".vseq233").val()); //af233x用 同一伝票番号複数あった時

    common.setValue($("#af233x1OrgTitle"), common.getValue($("#topPrgTitle")));
    common.setValue($("#topPrgTitle"),"伝票番号検索");

    common.setDetailHeight($("#af233x1Detail"));

    if (!stringUtil.isEmpty(common.getValue($("#af233x1Vseq")))) {
      $('#popaf233x1Search').trigger('click');
    }
}

$(document).on("click", "#popaf233x1Search", function (e) {
  var me = this;
  // 読込
  var top = $(this).closest(".af233x1");

  common.clearFormError(top);


  var errflg = false;

  if(!stringUtil.isEmpty($("#af233x1Dat1s").val()) && !stringUtil.isEmpty($("#af233x1Dat1e").val())) {
    let wdat1s = dateUtil.getYYYYMMDDDate($("#af233x1Dat1s").val());
    let wdat1e = dateUtil.getYYYYMMDDDate($("#af233x1Dat1e").val());

    if(wdat1s > wdat1e) {
      common.addError($("#af233x1Dat1e"), "正しい範囲を入力してください。", null, true);
      common.addError($("#af233x1Dat1s"), "正しい範囲を入力してください。", null, true);
      errflg = true;
    }
    if (!errflg) {
      if (wdat1e > dateUtil.getAddMonthDate($("#af233x1Dat1s").val(), 1)) {
        common.addError($("#af233x1Dat1s"), "仕入日範囲は1ヶ月以内を指定してください。", null, true);
        errflg = true;
      }
    }
  }

  if(stringUtil.isEmpty($("#af233x1Mcd").val())
    &&(stringUtil.isEmpty($("#af233x1Dat1s").val()) || stringUtil.isEmpty($("#af233x1Dat1e").val()))) {
    common.addError($("#af233x1Mcd"), "いずれかを入力してください。", null, true);
    common.addError($("#af233x1Dat1s"), "いずれかを入力してください。", null, true);
    common.addError($("#af233x1Dat1e"), "いずれかを入力してください。", null, true);
    errflg = true;
  }

  if(errflg) {
    alert("エラーがあります");
    return false;
  }


  af233x1.deldetail();  //明細削除

  var sendData = {};

  sendData["popmode"] = "af233x1";
  sendData["mcd"] = $("#af233x1Mcd").val();
  sendData["vseq"] = $("#af233x1Vseq").val();
  sendData["dat1s"] = $("#af233x1Dat1s").val();
  sendData["dat1e"] = $("#af233x1Dat1e").val();
  sendData["spktcd"] = $("#af233x1Spktcd").val();
  sendData["pmode2"] = $("#af233x1Pmode2").val();

  setComplianceData("search", sendData);

  var me = $(this);
  common.postData(
    common.getApiUrl() + "getPopupSearch.php"
    , sendData
    , function (data, options) { $(me).trigger("regSuccess", data); }
    , function (error, options) { $(me).trigger("regError", error); }
  );

});

$(document).on("regSuccess", "#popaf233x1Search", function (e, data) {
  var list = JSON.parse(data);

  if (!(list != null)) {
    return false;
  }

  $("#af233x1Detail .detail").remove();
  var el = "";
  for (var i = 0; i < list.length; i++) {

    if(i == 0) {
      $("#af233x1Tamt").val(common.addFigure(list[i].t_amt));
      $("#af233x1Tamt2").val(common.addFigure(list[i].t_amt2));
      $("#af233x1Cnt").val(common.addFigure(list[i].t_vseq));
    }

    el += af233x1.appendRow(list[i]);
  }
  $("#af233x1Detail").append(el);

  common.setDetailHeight($("#af233x1Detail"));

  $("#af233x1Detail .detail").first().find("a").focus();
});
$(document).on("regError", "#popaf233x1Search", function (e, data) {
  alert(data.msg);
});

$(document).on("dblclick", "#af233x1Detail .selectRow", function (e) {
  $("#popaf233x1Select").trigger("click");
});

$(document).on("click", "#popaf233x1Select", function (e) {
  if (e.bubbles == false) {
    return false;
  }

  var sel = $("#af233x1Detail .selectRow");
  var selVseq = common.getValue($("#af233x1Detail .selectRow .vseq"));
  var selViseq = common.getValue($("#af233x1Detail .selectRow .viseq"));
  var selHvseq = common.getValue($("#af233x1Detail .selectRow .hvseq"));
  var selMcd= common.getValue($("#af233x1Detail .selectRow .mcd"));
  var selMnm = common.getValue($("#af233x1Detail .selectRow .mnm"));

  var grp = popup.closePopup("af233x1");
  var frmh = grp.closest(".header");

{*  var vseq = grp.find(".vseq")[0]; *}
  var vseq = grp.find(".popAf233x1")[0];  {*発注伝票番号もvseqの為*}
  var viseq = grp.find(".viseq")[0];
  var hvseq = grp.find(".hvseq")[0];
  var mcd = grp.find(".mcd")[0];
  var mnm = grp.find(".mnm")[0];
  $(vseq).val(selVseq);
  $(viseq).val(selViseq);
  $(hvseq).val(selHvseq);
  $(mcd).val(selMcd);
  $(mnm).val(selMnm);

  af233x1.initial();

  common.setValue($("#topPrgTitle"), common.getValue($("#af233x1OrgTitle")));
  $(vseq).trigger("afterSelectaf233x1");
});

$("#popaf233x1Close").on("popClose", function (e) {
  if (e.bubbles == false) {
    return false;
  }
  common.setValue($("#topPrgTitle"), common.getValue($("#af233x1OrgTitle")));
  af233x1.initial();
  af233x1.close();
});

$(document).on("keydown", "#af233x1Detail .selectRow", function (e) {
  if (e.keyCode == 32) {
    $("#popaf233x1Select").trigger("click");
    return false;
  }
});

var af233x1 = {
  close: function () {
    this.initial();
    popup.closePopup("af233x1");
  },

  appendRow: function (d) {
    var n = stringUtil.nvl;
    var row =
      ' <div class="col wp-100 detail"> ' +
      '   <div class="col wp-100"> ' +
      '     <a href="#" class="line"> </a> ' +
      '     <div class="item wd-100 inputReadOnly vseq">' + n(d.vseq) + '</div>' +
      '     <div class="item wd-070 inputReadOnly hvseq">' + n(d.hvseq) + '</div>' +
      '     <div class="item wd-S inputReadOnly mcd">' + n(d.mcd) + '</div>' +
      '     <div class="item wd-M inputReadOnly mnm longnm ">' + n(d.mnm) + '</div>' +
      '     <div class="item wd-date inputReadOnly dat1">' + n(d.dat1) + '</div>' +
      '     <div class="item wd-SS inputReadOnly tclsnm">' + n(d.tclsnm) + '</div>' +
      '     <div class="item wd-SS inputReadOnly spktcd">' + n(d.spktcd) + '</div>' +
      '     <div class="item wd-M inputReadOnly spktnm longnm ">' + n(d.spktnm) + '</div>' +
      '     <div class="item wd-number inputReadOnly amt number">' + common.addFigure(n(d.amt)) + '</div>' +
      '     <div class="item wd-S inputReadOnly kflg">' + n(d.kflg) + '</div>' +
      '     <input type="hidden" class="viseq" value="' + n(d.viseq) + '"> '+
      '   </div> ' +
      '   <hr> ' +
      ' </div> ';

    return row;
  },

  deldetail: function () {
    var el = document.getElementById("af233x1Detail");
    var n = el.cloneNode(false);
    el.parentNode.replaceChild(n, el);
  },

  initial: function () {
    var main = $(".af233x1").find(".header_popaf233x1");
    common.clearInputData(main);
    common.clearAllError();

    var el = document.getElementById("af233x1Detail");
    var n = el.cloneNode(false);
    el.parentNode.replaceChild(n, el);

    $("#af233x1Mcd").focus();

  },
}
</script>
